Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

To get the ParameterAttributes value, first get the Type. From the Type, get the ParameterInfo array. The ParameterAttributes value is within the array.

These enumerator values are dependent on optional metadata. Not all attributes are available from all compilers. See the appropriate compiler instructions to determine which enumerated values are available.

Defines the attributes that can be associated with a parameter. These are defined in CorHdr.h.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes HasDefault To be added.

  Specifies that the parameter has a default value.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes HasFieldMarshal To be added.

  Specifies that the parameter has field marshaling information.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes In To be added.

  Specifies that the parameter is an input parameter.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes Lcid To be added.

  Specifies that the parameter is a locale identifier (lcid).

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes None To be added.

  Specifies that there is no parameter attribute.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes Optional To be added.

  Specifies that the parameter is optional.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes Out To be added.

  Specifies that the parameter is an output parameter.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes Reserved3 To be added.

  Reserved.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes Reserved4 To be added.

  Reserved.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes ReservedMask To be added.

  Specifies that the parameter is reserved.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes Retval To be added.

  Specifies that the parameter is a return value.

0